// 1. Які існують типи даних у Javascript? Існує 8 типів даних:
// - number - тип число, існує для цілих та дробних чисел.
// - begint - тип, що існує для оботи з довільними числами (більше, ніж 2 у 53 ступені).
// - string - тип рядок, записується в лаках (подвійних, одинарних або зворотніх).
// - boolean - логічний тип, має два значення: true та false.
// - null - тип, що має одне значення "нічого", часто використовується, як заглушка, коли якась інформація невідома, але пізніше стане відомою.
// - undefined - тип, якому значення не привласнено. Якщо змінна оголошена, але в неї нічого не записано.
// - symbol - тип, який використовується для створення символів.
// - object - не примітивний тип, який використовується для оголошення більш складних сутностей.

// 2. У чому різниця між == і ===?
// == є не суворе дорівнює, яке порівнює значення і приводить їх до спільного типу, наприклад 12 == "12", буде true, тому що при порівнянні "12" перетвориться з рядка на число. В той же час, якщо використати суворе дорівнює, то отримаємо false, бо оператор === перевіряє на ідентичність, а рядок не може бути рівним числу, навіть якщо значення всередині цього рядка є таким самим як число. 

// 3. Що таке оператор?
// Це знак, який виконує певну дію по відношенню до операндів (ними можуть бути рядки, числа, константи і т.д.). Оператор може бути унарним (застосовується лише до одного операнда) і бінарним (застосовується до двох операндів). Існують математичні оператори (+, -, *, /, %), оператори привласнення (= і складові оператори +=, -=, *= та ін., які перед привласненням роблять ще одну дію), оператори порівняння (==, ===, !==, !=, >, >=, <, <=), рядкові оператори (використовуються для роботи з рядками, для них немає окремих опреаторів, використовуються ті самі +, ==, === і т.д.), умовні оператори (if, if...else, else if...), логічні оператори ( && - і, || - або, ! - ні).



"use strict";

let name = prompt("Enter a name");
let age = +prompt("Enter age");

if (age < 18) {
    alert("You are not allowed to visit this website");
}

else if (age >= 18 && age <= 22) {
    if (confirm ("Are you sure you want to continue?")) {
        alert(`Welcome, ${name} !`)
    } else {
        alert("You are not allowed to visit this website")
    }
}

else {
    alert(`Welcome, ${name} !` )
};





